Debian Bug report logs - #621392
xnecview: FTBFS on armel: expected identifier before numeric constant

version graph

Package: src:xnecview; Maintainer for src:xnecview is Alan Bain <afrb2@debian.org>;

Reported by: Hector Oron <hector.oron@gmail.com>

Date: Wed, 6 Apr 2011 22:39:01 UTC

Severity: serious

Tags: patch, sid, squeeze, wheezy

Found in versions xnecview/1.35-5.1, xnecview/1.35-7

Fixed in versions xnecview/1.35-7.1, xnecview/1.35-5.2

Done: Evgeni Golov <evgeni@debian.org>

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, Alan Bain <afrb2@debian.org>:
Bug#621392; Package src:xnecview. (Wed, 06 Apr 2011 22:39:04 GMT) Full text and rfc822 format available.

Acknowledgement sent to Hector Oron <hector.oron@gmail.com>:
New Bug report received and forwarded. Copy sent to Alan Bain <afrb2@debian.org>. (Wed, 06 Apr 2011 22:39:07 GMT) Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: Hector Oron <hector.oron@gmail.com>
To: Debian Bug Tracking System <submit@bugs.debian.org>
Subject: xnecview: FTBFS on armel: expected identifier before numeric constant
Date: Wed, 06 Apr 2011 23:37:28 +0100
Source: xnecview
Version: 1.35-7
Severity: serious
Justification: FTBFS

Hello,

  Your package fails to build on armel auto builders:

rom /usr/include/gtk-2.0/gdk/gdk.h:32,
                 from xnecview.h:266,
                 from xnecview.c:24:
/usr/include/sys/ucontext.h:43:3: error: expected identifier before numeric constant
make[1]: *** [xnecview.o] Error 1

  Full build log at:
  https://buildd.debian.org/status/fetch.php?pkg=xnecview&arch=armel&ver=1.35-7&stamp=1301637640

-- System Information:
Debian Release: wheezy/sid
  APT prefers unstable
  APT policy: (500, 'unstable'), (500, 'testing'), (500, 'stable'), (1, 'experimental')
Architecture: amd64 (x86_64)

Kernel: Linux 2.6.38-2-amd64 (SMP w/8 CPU cores)
Locale: LANG=en_GB.UTF-8, LC_CTYPE=en_GB.UTF-8 (charmap=UTF-8)
Shell: /bin/sh linked to /bin/bash




Added tag(s) sid, squeeze, and wheezy. Request was from Evgeni Golov <evgeni@debian.org> to control@bugs.debian.org. (Tue, 19 Apr 2011 07:36:09 GMT) Full text and rfc822 format available.

Bug Marked as found in versions xnecview/1.35-5.1. Request was from Evgeni Golov <evgeni@debian.org> to control@bugs.debian.org. (Tue, 19 Apr 2011 07:36:12 GMT) Full text and rfc822 format available.

Added tag(s) patch. Request was from Evgeni Golov <evgeni@golov.de> to control@bugs.debian.org. (Wed, 20 Apr 2011 09:12:36 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, Alan Bain <afrb2@debian.org>:
Bug#621392; Package src:xnecview. (Wed, 20 Apr 2011 09:16:42 GMT) Full text and rfc822 format available.

Acknowledgement sent to Evgeni Golov <evgeni@golov.de>:
Extra info received and forwarded to list. Copy sent to Alan Bain <afrb2@debian.org>. (Wed, 20 Apr 2011 09:16:42 GMT) Full text and rfc822 format available.

Message #16 received at 621392@bugs.debian.org (full text, mbox):

From: Evgeni Golov <evgeni@golov.de>
To: 621392@bugs.debian.org, control@bugs.debian.org
Subject: patch for armel
Date: Wed, 20 Apr 2011 11:10:20 +0200
[Message part 1 (text/plain, inline)]
tags 621392 + patch
thanks

Hi Alan,

attached is a patch (basically stolen from Ubuntu) that fixes the issue.
Do not ask why ARM does not like R0 :)
Compile tested on amd64 and qemu-armel.

Regards
Evgeni
[xnecview_621393.diff (text/x-patch, attachment)]

Information forwarded to debian-bugs-dist@lists.debian.org, Alan Bain <afrb2@debian.org>:
Bug#621392; Package src:xnecview. (Mon, 02 May 2011 08:33:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Evgeni Golov <evgeni@debian.org>:
Extra info received and forwarded to list. Copy sent to Alan Bain <afrb2@debian.org>. (Mon, 02 May 2011 08:33:03 GMT) Full text and rfc822 format available.

Message #21 received at 621392@bugs.debian.org (full text, mbox):

From: Evgeni Golov <evgeni@debian.org>
To: 621392@bugs.debian.org
Subject: xnecview: diff for NMU version 1.35-7.1
Date: Mon, 2 May 2011 10:30:39 +0200
[Message part 1 (text/plain, inline)]
tags 621392 + pending
thanks

[Replace XX with correct value]
Dear maintainer,

I've prepared an NMU for xnecview (versioned as 1.35-7.1) and
uploaded it to DELAYED/5. Please feel free to tell me if I
should delay it longer.

Regards
Evgeni
[xnecview-1.35-7.1-nmu.diff (text/x-diff, attachment)]

Added tag(s) pending. Request was from Evgeni Golov <evgeni@debian.org> to control@bugs.debian.org. (Mon, 02 May 2011 08:33:05 GMT) Full text and rfc822 format available.

Reply sent to Evgeni Golov <evgeni@debian.org>:
You have taken responsibility. (Sat, 07 May 2011 09:04:51 GMT) Full text and rfc822 format available.

Notification sent to Hector Oron <hector.oron@gmail.com>:
Bug acknowledged by developer. (Sat, 07 May 2011 09:04:55 GMT) Full text and rfc822 format available.

Message #28 received at 621392-close@bugs.debian.org (full text, mbox):

From: Evgeni Golov <evgeni@debian.org>
To: 621392-close@bugs.debian.org
Subject: Bug#621392: fixed in xnecview 1.35-7.1
Date: Sat, 07 May 2011 09:02:33 +0000
Source: xnecview
Source-Version: 1.35-7.1

We believe that the bug you reported is fixed in the latest version of
xnecview, which is due to be installed in the Debian FTP archive:

xnecview_1.35-7.1.diff.gz
  to main/x/xnecview/xnecview_1.35-7.1.diff.gz
xnecview_1.35-7.1.dsc
  to main/x/xnecview/xnecview_1.35-7.1.dsc
xnecview_1.35-7.1_amd64.deb
  to main/x/xnecview/xnecview_1.35-7.1_amd64.deb



A summary of the changes between this version and the previous one is
attached.

Thank you for reporting the bug, which will now be closed.  If you
have further comments please address them to 621392@bugs.debian.org,
and the maintainer will reopen the bug report if appropriate.

Debian distribution maintenance software
pp.
Evgeni Golov <evgeni@debian.org> (supplier of updated xnecview package)

(This message was generated automatically at their request; if you
believe that there is a problem with it please contact the archive
administrators by mailing ftpmaster@debian.org)


-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA1

Format: 1.8
Date: Mon, 02 May 2011 09:14:19 +0200
Source: xnecview
Binary: xnecview
Architecture: source amd64
Version: 1.35-7.1
Distribution: unstable
Urgency: low
Maintainer: Alan Bain <afrb2@debian.org>
Changed-By: Evgeni Golov <evgeni@debian.org>
Description: 
 xnecview   - NEC structure and gain pattern viewer
Closes: 621392
Changes: 
 xnecview (1.35-7.1) unstable; urgency=low
 .
   * Non-maintainer upload.
   * R0 is already taken as a register name on armel, rename xnecview's
     constant to DEFFAULTR0.
     Closes: #621392
   * Add ${misc:Depends} to Depends, thanks lintian.
Checksums-Sha1: 
 1af9b1de43bf97159efd4681bc6279e95ad4272b 1002 xnecview_1.35-7.1.dsc
 3dc11b23075c57f95e9b71cb31d1f46e639d22e5 12753 xnecview_1.35-7.1.diff.gz
 8054beadac97d81912c633a304ac10af0f4aef00 82230 xnecview_1.35-7.1_amd64.deb
Checksums-Sha256: 
 fcee392a6edeab88bc03900c14c232335201918244dfc1629cc5eddaf6d59566 1002 xnecview_1.35-7.1.dsc
 7a5dfd2ba143863da0723cf66c00d3e21d9670f3e31a703bd148902d9da697e8 12753 xnecview_1.35-7.1.diff.gz
 ea7de62e7da10352dbfce47a24afdb8832ce0aa5d3ff122bb9de2aa648be01f6 82230 xnecview_1.35-7.1_amd64.deb
Files: 
 ef9c4601285f152f8741d1f71c4f61cb 1002 hamradio extra xnecview_1.35-7.1.dsc
 98bae6c1e0c8a380837fec8f3d99548a 12753 hamradio extra xnecview_1.35-7.1.diff.gz
 1b742275a86f6b5343c44837b0307d6b 82230 hamradio extra xnecview_1.35-7.1_amd64.deb

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.11 (GNU/Linux)

iEYEARECAAYFAk2+a0gACgkQJKAUGKwVtQygQQCgpleB3O7ezIvoBBOAT3Ycgzyp
RrYAoIYXh4YTO0qBogSRay/VzROmgoO/
=yTCd
-----END PGP SIGNATURE-----





Reply sent to Evgeni Golov <evgeni@debian.org>:
You have taken responsibility. (Sun, 06 Jan 2013 23:21:06 GMT) Full text and rfc822 format available.

Notification sent to Hector Oron <hector.oron@gmail.com>:
Bug acknowledged by developer. (Sun, 06 Jan 2013 23:21:06 GMT) Full text and rfc822 format available.

Message #33 received at 621392-close@bugs.debian.org (full text, mbox):

From: Evgeni Golov <evgeni@debian.org>
To: 621392-close@bugs.debian.org
Subject: Bug#621392: fixed in xnecview 1.35-5.2
Date: Sun, 06 Jan 2013 23:17:04 +0000
Source: xnecview
Source-Version: 1.35-5.2

We believe that the bug you reported is fixed in the latest version of
xnecview, which is due to be installed in the Debian FTP archive.

A summary of the changes between this version and the previous one is
attached.

Thank you for reporting the bug, which will now be closed.  If you
have further comments please address them to 621392@bugs.debian.org,
and the maintainer will reopen the bug report if appropriate.

Debian distribution maintenance software
pp.
Evgeni Golov <evgeni@debian.org> (supplier of updated xnecview package)

(This message was generated automatically at their request; if you
believe that there is a problem with it please contact the archive
administrators by mailing ftpmaster@debian.org)


-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA1

Format: 1.8
Date: Sun, 25 Nov 2012 11:47:11 +0100
Source: xnecview
Binary: xnecview
Architecture: source amd64
Version: 1.35-5.2
Distribution: stable
Urgency: low
Maintainer: Alan Bain <afrb2@debian.org>
Changed-By: Evgeni Golov <evgeni@debian.org>
Description: 
 xnecview   - NEC structure and gain pattern viewer
Closes: 621392
Changes: 
 xnecview (1.35-5.2) stable; urgency=low
 .
   * Non-maintainer upload.
   * Take my own patch from 1.35-7.1.
   * R0 is already taken as a register name on armel, rename xnecview's
     constant to DEFFAULTR0.
     Closes: #621392
Checksums-Sha1: 
 2ca5dffd888d0e96a362154c55a0f308a6e2a710 1004 xnecview_1.35-5.2.dsc
 d682218ad3751e0b0139c6b0ff184ea5497d441c 12640 xnecview_1.35-5.2.diff.gz
 3f4a004ffd9db1d888e0445a8eacc060e56a5840 82030 xnecview_1.35-5.2_amd64.deb
Checksums-Sha256: 
 809867f53b3a231ab4fd41f40f161fb4efe2bb3bfa1b072e49eee736eea198bd 1004 xnecview_1.35-5.2.dsc
 65e68df5af18735de725124cd563bc947cc26bfef338d61cf40c6e5ee1704994 12640 xnecview_1.35-5.2.diff.gz
 b42822f75b778b9d17299fbd01f299578520dbf37a62fc3ef6f756605af5dde3 82030 xnecview_1.35-5.2_amd64.deb
Files: 
 c1dac0a07284c3eae8bdf9323e6e5d18 1004 hamradio extra xnecview_1.35-5.2.dsc
 f25eee15e6662393b6cdb2ecaad327ed 12640 hamradio extra xnecview_1.35-5.2.diff.gz
 38cabb5a8975b261ef7b984cfe4a19d4 82030 hamradio extra xnecview_1.35-5.2_amd64.deb

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.12 (GNU/Linux)

iEYEARECAAYFAlCx+d8ACgkQJKAUGKwVtQxrQQCfRtkicHVAZJSzHSHmbzEIbLDt
cMIAn1t/n95Ywtf+idTsljldBVZLbxfG
=sLH+
-----END PGP SIGNATURE-----




Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Sun, 24 Feb 2013 07:30:26 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Fri Apr 18 09:17:09 2014; Machine Name: beach.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.